Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.logic.basic
Interface BasicConstants

All Superinterfaces:
  ArgumentConstants

All Known Subinterfaces:
  ModuleConstants, ParagraphConstants, RuleConstants

public interface BasicConstants
extends ArgumentConstants

This interface provides constants of this package.

Version:
  $Revision: 1.5 $
Author:
  Michael Meyling

Field Summary
`static String` | `ALREADY_CONTAINS_PATTERN_VARIABLE`
`static String` | `ARGUMENT_LIST`
`static String` | `FORMULA`
`static String` | `INCORRECT_LINE`
`static String` | `MIXED_FREE_BOUND`
`static String` | `NO_FORMULA_NUMBER`
`static String` | `POSITIVE_INTEGER_EXPECTED_IN_ARGUMENT`
`static String` | `PRECONDITIONS_NOT_FULLFILLED`
`static String` | `QUALIFIED_MUST_BE_FREE`
`static String` | `RESULT_NOT_EQUAL_WITH_EXPECTED`
`static String` | `SUBJECT_VARIABLE`
`static String` | `SUBJECT_VARIABLE_EXPECTED_IN_SECOND_ARGUMENT`
`static String` | `WRONG_FORMULA_NUMBER`

Fields inherited from interface com.meyling.principia.argument.ArgumentConstants
`ALREADY_ASSIGNED, ARGUMENT_EXPECTED, AT_LEAST_ONE_ARGUMENT_EXPECTED, CODE_CONSTRUCTOR_ARGUMENT_CHECK_FAILED, CODE_CONSTRUCTOR_WRONG_ARGUMENT_NUMBER, CODE_CONSTRUCTOR_WRONG_ARGUMENT_TYPE, CODE_METHOD_ARGUMENT_CHECK_FAILED, CODE_PARSER_ARGUMENT_EXPECTED, CODE_PARSER_NO_ARGUMENT_SEPARATOR, CODE_PARSER_NO_BEGIN_ARGUMENT_LIST, CODE_PARSER_NO_END_ARGUMENT_LIST, CODE_PARSER_NO_FURTHER_ARGUMENTS_EXPECTED, CODE_PARSER_UNEXPECTED_ARGUMENT, CODE_PARSER_UNKNOWN_ARGUMENT_CHAR, CODE_PARSER_UNKNOWN_OPERATOR, CODE_PARSER_WRONG_ATOM_FORMAT, COULD_NOT_BE_EMPTY, COULD_NOT_CREATE, COUNTER, COUNTER_OR_PATTERN, EXPECTED_IN_ARGUMENT, FIFTH_ARGUMENT, FIFTH_ARGUMENT_TYPE, FIRST_ARGUMENT, FIRST_ARGUMENT_TYPE, FOURTH_ARGUMENT, FOURTH_ARGUMENT_TYPE, MUST_BE_GREATER_THAN_NULL, MUST_HAVE_COUNTER, MUST_NOT_CONTAIN_PATTERN_VARIABLE, NO_ARGUMENT_NUMBER, NO_ARGUMENT_SEPARATOR, NO_BEGIN_ARGUMENT_LIST, NO_END_ARGUMENT_LIST, NO_LETTER_DIGIT_STRING_FOUND, NO_NEGATIVE_INTEGER, NO_POSITIVE_INTEGER_FOUND, NO_QUOTE_TERMINATION, NO_QUOTED_STRING, NO_RECURSIVE_MATCH, NOT_ASSIGNED, NULLPOINTER_PARAMETER, NUMBER, OPERATOR_WITH_AT_LEAST_TWO_ARGUMENTS, OPERATOR_WITH_FIVE_ARGUMENTS, OPERATOR_WITH_FOUR_ARGUMENTS, OPERATOR_WITH_NO_ARGUMENTS, OPERATOR_WITH_ONE_ARGUMENT, OPERATOR_WITH_THREE_ARGUMENTS, OPERATOR_WITH_TWO_ARGUMENTS, PATTERN_VARIABLE, PATTERN_VARIABLE_NOT_FOUND, POSITIVE_INTEGER_EXPECTED, QUOTED_STRING, SECOND_ARGUMENT, SECOND_ARGUMENT_TYPE, THIRD_ARGUMENT, THIRD_ARGUMENT_TYPE, UNKNOWN_ARGUMENT_CHAR, UNKNOWN_ARGUMENT_CLASS, UNKNOWN_CLASS, UNKNOWN_OPERATOR, WRONG_ARGUMENT_NUMBER`

Field Detail

### FORMULA

    public static final String FORMULA

See Also:
  Constant Field Values

### ARGUMENT_LIST

    public static final String ARGUMENT_LIST

See Also:
  Constant Field Values

### SUBJECT_VARIABLE

    public static final String SUBJECT_VARIABLE

See Also:
  Constant Field Values

### POSITIVE_INTEGER_EXPECTED_IN_ARGUMENT

    public static final String POSITIVE_INTEGER_EXPECTED_IN_ARGUMENT

See Also:
  Constant Field Values

### SUBJECT_VARIABLE_EXPECTED_IN_SECOND_ARGUMENT

    public static final String SUBJECT_VARIABLE_EXPECTED_IN_SECOND_ARGUMENT

See Also:
  Constant Field Values

### MIXED_FREE_BOUND

    public static final String MIXED_FREE_BOUND

See Also:
  Constant Field Values

### WRONG_FORMULA_NUMBER

    public static final String WRONG_FORMULA_NUMBER

See Also:
  Constant Field Values

### NO_FORMULA_NUMBER

    public static final String NO_FORMULA_NUMBER

See Also:
  Constant Field Values

### QUALIFIED_MUST_BE_FREE

    public static final String QUALIFIED_MUST_BE_FREE

See Also:
  Constant Field Values

### INCORRECT_LINE

    public static final String INCORRECT_LINE

See Also:
  Constant Field Values

### RESULT_NOT_EQUAL_WITH_EXPECTED

    public static final String RESULT_NOT_EQUAL_WITH_EXPECTED

See Also:
  Constant Field Values

### PRECONDITIONS_NOT_FULLFILLED

    public static final String PRECONDITIONS_NOT_FULLFILLED

See Also:
  Constant Field Values

### ALREADY_CONTAINS_PATTERN_VARIABLE

    public static final String ALREADY_CONTAINS_PATTERN_VARIABLE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.